      Subroutine Whstrd(strcd, stsht, finsht, stres, stpl, lststd,      WHST001
     &                  bstval)                                         WHST002
c                                                                       WHST003
c     find the starting position of the lowest numbered strand that     WHST004
c     is greater than the last                                          WHST005
c                                                                       WHST006
      Include 'sstruc.par'                                              WHST007
      integer strcd(2,maxres), stsht, finsht, stres, stpl, lststd,      WHST008
     &        bstval                                                    WHST009
                                                                        WHST010
      integer  nxstr, nxpl                                              WHST011
                                                                        WHST012
      bstval = 0                                                        WHST013
      do 1000, nxstr = stsht, finsht                                    WHST014
      do 1000, nxpl = 1, 2                                              WHST015
      If (abs(strcd(nxpl,nxstr)) .gt. lststd) then                      WHST016
         if (bstval .eq. 0) then                                        WHST017
            bstval = abs(strcd(nxpl,nxstr))                             WHST018
            stpl = nxpl                                                 WHST019
            stres = nxstr                                               WHST020
         else                                                           WHST021
            if (abs(strcd(nxpl,nxstr)) .lt. bstval) then                WHST022
               bstval = abs(strcd(nxpl,nxstr))                          WHST023
               stpl = nxpl                                              WHST024
               stres = nxstr                                            WHST025
            end if                                                      WHST026
         end if                                                         WHST027
      end if                                                            WHST028
 1000 continue                                                          WHST029
      END                                                               WHST030
